org.eclipse.actf.util.httpproxy

## Class ExternalProxyConfig

- java.lang.Object
- - org.eclipse.actf.util.httpproxy.ExternalProxyConfig

    public class ExternalProxyConfig
    extends Object

ExternalProxyConfig is class to configure an external Proxy that used by IHTTPProxy.

See Also:
  `IHTTPProxy`, `HTTPProxyFactory`

### Constructor Summary

Constructors
Constructor and Description
`ExternalProxyConfig()` Constructor of the class

### Method Summary

Methods
`boolean` `getExternalProxyFlag()` Check if an external proxy is used for HTTPProxy
`String` `getExternalProxyHost()` Get external proxy host URL in String
`int` `getExternalProxyPort()` Get external proxy port number
`void` `setExternalProxy(String host, int port)` Set external proxy host and port
`void` `setExternalProxyFlag(boolean flag)` Set boolean value to specify if HTTPProxy needs to use an external proxy

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExternalProxyConfig

    public ExternalProxyConfig()

Constructor of the class

### Method Detail

#### getExternalProxyFlag

    public boolean getExternalProxyFlag()

Check if an external proxy is used for HTTPProxy

Returns:
  true if need to use external proxy. Default value is false

#### setExternalProxyFlag

    public void setExternalProxyFlag(boolean flag)

Set boolean value to specify if HTTPProxy needs to use an external proxy

Parameters:
  `flag` - true if need to use external proxy

#### getExternalProxyHost

    public String getExternalProxyHost()

Get external proxy host URL in String

Returns:
  external proxy host URL. Default value is "localhost"

#### getExternalProxyPort

    public int getExternalProxyPort()

Get external proxy port number

Returns:
  external proxy port number. Default value is "8080"

#### setExternalProxy

    public void setExternalProxy(String host,
                        int port)

Set external proxy host and port

Parameters:
  `host` - URL of target external proxy host
  `port` - port number of target external proxy